Gradle 4.4 正式版发布,支持 Visual Studio 2017 - 开源中国社区
Float_left Icon_close
Gradle 4.4 正式版发布,支持 Visual Studio 2017
淡漠悠然 2017年12月12日

Gradle 4.4 正式版发布,支持 Visual Studio 2017

淡漠悠然 淡漠悠然 发布于2017年12月12日 收藏 7

阿里云高性能云服务器,2折起! >>> >>>  

Gradle 4.4 已正式发布,看看带来了哪些激动人心的改进:

  • Eclipse 插件现在提供单独的输出文件夹。这允许 Eclipse 插件提供更复杂的 classpath 管理。Buildship 2.2 将利用此功能来避免在 Eclipse IDE 中运行 Java 应用程序或执行测试时出现一个较大的全局 classpath。

之前的 Gradle 版本要求给定插件的所有传递依赖关系都与插件存在于同一个存储库中。Gradle 4.4 将所有的插件库放在一起,并能解决它们之间的传递插件依赖关系。点此了解更多

最后同样重要的是,包括 Ant 在内的多个第三方依赖项已更新为包含安全性和其他错误修复的最新版本。

点此查看详细发布内容GitHub 主页发布说明

升级方法

  • 修改配置文件:

./gradlew wrapper --gradle-version=4.4
本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Gradle 4.4 正式版发布,支持 Visual Studio 2017
分享
评论(14)
最新评论
0
升级了gradle 以后发现springboot也要升了,不然打包错误
0

引用来自“臭水沟”的评论

为什么,我用gradle之后, idea配置tomcat artifacts exploded 无效,启动tamcat不会自动build出 exploded

引用来自“拉轰的萝卜”的评论

你说的 IDEA 和 Gradle 没关系吧。是两个方面考虑项目的
我也是这么认为,但是换到maven就没有问题了。配置artifacts exploded都是idea做这个事。很奇怪
0

引用来自“谁杀了我的牛”的评论

这个给vs有什么用的 ··写Java的?
gradle支持c、c++还有别的语言
0
发布有几天了吧。我上周三还是上周四就在他的官网更新了4.4版本
0
卧槽,gradle一下等好久,以前还要翻墙
0

引用来自“谁杀了我的牛”的评论

这个给vs有什么用的 ··写Java的?
It is now possible to compile native applications with the Visual C++ toolchain packaged with all versions of Visual Studio 2017.
0
这个给vs有什么用的 ··写Java的?
0
我只说 Good,不然一堆喷子马上出来了。
0
卧槽,我是越来越看不懂了。
0
这使得VS越来越好用了。
0
这样也可以
0

引用来自“臭水沟”的评论

为什么,我用gradle之后, idea配置tomcat artifacts exploded 无效,启动tamcat不会自动build出 exploded
你说的 IDEA 和 Gradle 没关系吧。是两个方面考虑项目的
0
为什么,我用gradle之后, idea配置tomcat artifacts exploded 无效,启动tamcat不会自动build出 exploded
0
卧槽,666
顶部